MPI_Pcontrol(3)

NAME
MPI_Pcontrol - Controls profiling

SYNOPSIS
#include <mpi.h>
int MPI_Pcontrol(int level, ...)

INPUT PARAMETERS
level
    - Profiling level

NOTES
This routine provides a common interface for profiling control. The interpretation of level and any other arguments is left to the profiling library. LAM/MPI's implementation of this function is a no-op that always returns MPI_SUCCESS
 .

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

MORE INFORMATION
For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages). http://www.mpi-forum.org/

ACKNOWLEDGEMENTS
The LAM Team would like the thank the MPICH Team for the handy program to generate man pages ("doctext" from ftp://ftp.mcs.anl.gov/pub/sowing/sowing.tar.gz ), the initial formatting, and some initial text for most of the MPI-1 man pages.

LOCATION
pcontrol.c